<div class="col-md-11">
	<fieldset>
		<legend>Charge Details</legend>

		<label for="date_charge_label">Date Charge</label>
		<div class="input-group col-md-3">
			<input type="text" id="date_charge_label" value="<?php echo $o->display('date_charge'); ?>" class="form-control" placeholder="Date Charge">
			<span class="input-group-addon" id="basic-addon1"><i class="fa fa-calendar"></i></span>
		</div>
		<?php echo Form::hidden('date_charge',$o->date_charge); ?>

		<?php echo Form::input('account_id_label',$o->account->name(),array('label'=>'Account','placeholder'=>'Account','data-provide'=>'typeahead')); ?>
		<?php echo Form::hidden('account_id',$o->account_id); ?>

		<?php echo Form::select('service_id',$o->account_id ? $o->account->service->list_select() : array(),$o->service_id,array('label'=>'Service')); ?>

		<?php echo StaticList_SweepType::form('sweep_type',is_null($o->sweep_type) ? 6 : $o->sweep_type,FALSE,array('label'=>'Sweep')); ?>
		<?php echo StaticList_ItemType::form('type',is_null($o->type) ? 6 : $o->type,FALSE,array('label'=>'Item Type')); ?>

		<?php echo Form::input('quantity',$o->quantity,array('label'=>'Quantity','placeholder'=>'Quantity')); ?>
		<?php echo Form::input('amount',$o->amount,array('label'=>'Amount','placeholder'=>'Total',)); ?>
		<?php echo StaticList_YesNo::form('taxable',is_null($o->taxable) ? TRUE : $o->taxable,FALSE,array('label'=>'Taxable')); ?>
		<?php echo Form::input('description',$o->description,array('label'=>'Description','placeholder'=>'Any notes about this charge?')); ?>

		<!-- @todo Use JS to dynamically add more lines as required -->
		<?php $i=0; foreach ($o->attributes as $key => $value) :
			echo Form::input("attributes[$key]",$value,array('label'=>$key));
			$i++;
		endforeach ?>
		<?php for ($i=$i;$i<10;$i++) :
                       echo Form::input("attributes[$i]",isset($o->attributes[$i]) ? $o->attributes[$i] : '',array('label'=>'Attributes'));
		endfor ?>
	</fieldset>

	<div class="row">
		<button type="submit" class="btn btn-primary">Save changes</button>
		<button type="button" class="btn">Cancel</button>
	</div>
</div> <!-- /col-md-11 -->
